Package org.opensaml.storage.impl.client

# Class LogLocalStorageSaveResults

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.storage.impl.client.LogLocalStorageSaveResults

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`

public class LogLocalStorageSaveResults extends AbstractProfileAction
An action that logs the results of Local Storage-based `ClientStorageService` save operations.

Event:
  `EventIds.PROCEED_EVENT_ID`

## Field Summary

Fields
Modifier and Type
Field
Description
`private ClientStorageSaveContext`
`clientStorageSaveCtx`
Context to drive storage load.
`static final String`
`EXCEPTION_FORM_FIELD`
Name of local storage form field containing value read.
`private final org.slf4j.Logger`
`log`
Class logger.
`static final String`
`SUCCESS_FORM_FIELD`
Name of local storage form field signaling success/failure of a read operation.

## Constructor Summary

Constructors
Constructor
Description
`LogLocalStorageSaveResults()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
Performs this action.
`protected boolean`
`doPreExecute(ProfileRequestContext profileRequestContext)`
Called prior to execution, actions may override this method to perform pre-processing for a request.

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### SUCCESS_FORM_FIELD

@Nonnull @NotEmpty public static final String SUCCESS_FORM_FIELD
Name of local storage form field signaling success/failure of a read operation.

See Also:
  - Constant Field Values

### EXCEPTION_FORM_FIELD

@Nonnull @NotEmpty public static final String EXCEPTION_FORM_FIELD
Name of local storage form field containing value read.

See Also:
  - Constant Field Values

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### clientStorageSaveCtx

@Nullable private ClientStorageSaveContext clientStorageSaveCtx
Context to drive storage load.

## Constructor Details

### LogLocalStorageSaveResults

public LogLocalStorageSaveResults()

## Method Details

### doPreExecute

protected boolean doPreExecute(@Nonnull ProfileRequestContext profileRequestContext)
Called prior to execution, actions may override this method to perform pre-processing for a request.

If false is returned, execution will not proceed, and the action should attach an `EventContext` to the context tree to signal how to continue with overall workflow processing.

If returning successfully, the last step should be to return the result of the superclass version of this method.

Overrides:
  `doPreExecute` in class `AbstractProfileAction`
Parameters:
  `profileRequestContext` - the current IdP profile request context
Returns:
  true iff execution should proceed

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)
Performs this action. Actions must override this method to perform their work.

Overrides:
  `doExecute` in class `AbstractProfileAction`
Parameters:
  `profileRequestContext` - the current IdP profile request context